# Class AssemblyModelSate

#### Hierarchy

- AssemblyModelSate

- Defined in RcsbFvState/AssemblyModelSate.ts:11

#####
Index

### Constructors

constructor

### Properties

modelMap
state

### Methods

entries
forEach
get
getChainInfo
getMap
getModelChainInfo
getOperator
getString
set
setFirstModel
setMap
setOperator

## Constructors

### constructor

- new AssemblyModelSate(modelMap?: SaguaroPluginModelMapType): AssemblyModelSate

- #### Parameters

  - ##### `Optional` modelMap: SaguaroPluginModelMapType

  #### Returns AssemblyModelSate

  - Defined in RcsbFvState/AssemblyModelSate.ts:16

## Properties

### `Private` modelMap

modelMap: SaguaroPluginModelMapType

- Defined in RcsbFvState/AssemblyModelSate.ts:13

### `Private` state

state: Partial<AssemblyModelStateInterface> = {}

- Defined in RcsbFvState/AssemblyModelSate.ts:14

## Methods

### entries

- entries(): IterableIterator<[string, {
  assemblyId: string;
  chains: ChainInfo[];
  entryId: string;
  }]>

- #### Returns IterableIterator<[string, {
  assemblyId: string;
  chains: ChainInfo[];
  entryId: string;
  }]>

  - Defined in RcsbFvState/AssemblyModelSate.ts:52

### forEach

- forEach(f: ((v: {
  assemblyId: string;
  chains: ChainInfo[];
  entryId: string;
  }, k: string) => void)): void

- #### Parameters

  - ##### f: ((v: {
    assemblyId: string;
    chains: ChainInfo[];
    entryId: string;
    }, k: string) => void)

    - - (v: {
        assemblyId: string;
        chains: ChainInfo[];
        entryId: string;
        }, k: string): void

      - #### Parameters

        - ##### v: {
          assemblyId: string;
          chains: ChainInfo[];
          entryId: string;
          }

          - ##### assemblyId: string

          - ##### chains: ChainInfo[]

          - ##### entryId: string

        - ##### k: string

        #### Returns void

  - Defined in RcsbFvState/AssemblyModelSate.ts:48

### get

- get(key: keyof AssemblyModelStateInterface): undefined | string | OperatorInfo

- #### Parameters

  - ##### key: keyof AssemblyModelStateInterface

  #### Returns undefined | string | OperatorInfo

  - Defined in RcsbFvState/AssemblyModelSate.ts:34

### getChainInfo

- getChainInfo(asymId?: string): undefined | ChainInfo

- #### Parameters

  - ##### `Optional` asymId: string

  #### Returns undefined | ChainInfo

  - Defined in RcsbFvState/AssemblyModelSate.ts:65

### getMap

- getMap(): SaguaroPluginModelMapType

- #### Returns SaguaroPluginModelMapType

  - Defined in RcsbFvState/AssemblyModelSate.ts:26

### getModelChainInfo

- getModelChainInfo(modelId: string): undefined | {
  assemblyId: string;
  chains: ChainInfo[];
  entryId: string;
  }

- #### Parameters

  - ##### modelId: string

  #### Returns undefined | {
  assemblyId: string;
  chains: ChainInfo[];
  entryId: string;
  }

  - Defined in RcsbFvState/AssemblyModelSate.ts:61

### getOperator

- getOperator(): undefined | OperatorInfo

- #### Returns undefined | OperatorInfo

  - Defined in RcsbFvState/AssemblyModelSate.ts:44

### getString

- getString(key: "entryId" | "modelId" | "labelAsymId" | "assemblyId"): string

- #### Parameters

  - ##### key: "entryId" | "modelId" | "labelAsymId" | "assemblyId"

  #### Returns string

  - Defined in RcsbFvState/AssemblyModelSate.ts:38

### set

- set(state: Partial<AssemblyModelStateInterface>): void

- #### Parameters

  - ##### state: Partial<AssemblyModelStateInterface>

  #### Returns void

  - Defined in RcsbFvState/AssemblyModelSate.ts:30

### `Private` setFirstModel

- setFirstModel(): void

- #### Returns void

  - Defined in RcsbFvState/AssemblyModelSate.ts:74

### setMap

- setMap(modelMap: SaguaroPluginModelMapType): void

- #### Parameters

  - ##### modelMap: SaguaroPluginModelMapType

  #### Returns void

  - Defined in RcsbFvState/AssemblyModelSate.ts:21

### setOperator

- setOperator(asymId?: string, opName?: string): void

- #### Parameters

  - ##### `Optional` asymId: string

  - ##### `Optional` opName: string

  #### Returns void

  - Defined in RcsbFvState/AssemblyModelSate.ts:56

Generated using TypeDoc